InfoContactModel (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.shared

## Class InfoContactModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - org.gcube.portlets.user.messages.shared.InfoContactModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ModelData, com.google.gwt.user.client.rpc.IsSerializable, Serializable

      public class InfoContactModel
      extends com.extjs.gxt.ui.client.data.BaseModelData
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `CHECK`
    `protected static String` | `ID`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfoContactModel()`
    `InfoContactModel(String id, String login, String fullName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFullName()`
    `String` | `getId()`
    `String` | `getLogin()`
    `Boolean` | `isCheck()`
    `void` | `setCheck(Boolean bool)`
    `void` | `setFullName(String fullName)`
    `void` | `setId(String id)`
    `void` | `setLogin(String login)`
    `String` | `toString()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, remove, set, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID

          protected static final String ID

      See Also:
        Constant Field Values

    - #### CHECK

          protected static final String CHECK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InfoContactModel

          public InfoContactModel()

    - #### InfoContactModel

          public InfoContactModel(String id,
                          String login,
                          String fullName)

  - ### Method Detail

    - #### setFullName

          public void setFullName(String fullName)

    - #### getFullName

          public String getFullName()

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getLogin

          public String getLogin()

    - #### setLogin

          public void setLogin(String login)

    - #### setCheck

          public void setCheck(Boolean bool)

    - #### isCheck

          public Boolean isCheck()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.